package org.springblade.face.data;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WxSessionData {

    @ApiModelProperty(value = "js code")
    private String code;

	@ApiModelProperty(value = "openId")
	private String openId;

	@ApiModelProperty(value = "userId")
	private String userId;

	@ApiModelProperty(value = "tenantId")
	private String tenantId;

	@ApiModelProperty(value = "account")
	private String account;

	@ApiModelProperty(value = "password")
	private String password;

	@ApiModelProperty(value = "微信头像")
	private String avatar;

	@ApiModelProperty(value = "微信昵称")
	private String nickName;

}
