package org.springblade.face.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标记记录表
 * </p>
 *
 * @author zbc
 * @since 2021-07-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TagRecord implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "操作人姓名")
    private String remoteName;

	@ApiModelProperty(value = "操作账号")
    private String remoteAccount;

	@ApiModelProperty(value = "标识账号id")
    private Long tagUserId;

	@ApiModelProperty(value = "备注")
    private String remark;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;


}
