package org.springblade.face.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ExcelIgnoreUnannotated
public class LoginRecordExportVO implements Serializable {

	@ApiModelProperty(value = "用户名")
	@ExcelProperty(value = {"用户名"},index = 0)
	private String realName;

	@ApiModelProperty(value = "登录时间")
	@ExcelProperty(value = {"登录时间"},index = 1)
    private String loginTime;

	@ApiModelProperty(value = "登录ip")
	@ExcelProperty(value = {"登录ip"},index = 2)
	private String loginIp;

	@ApiModelProperty(value = "登录地址")
	@ExcelProperty(value = {"登录地址"},index = 3)
	private String loginAddress;

	@ApiModelProperty(value = "登录类型")
	@ExcelProperty(value = {"登录类型"},index = 4)
	private String loginType;

}
