package org.springblade.face.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ExcelIgnoreUnannotated
public class LoginRecordTotalExportVO implements Serializable {

	@ApiModelProperty(value = "用户名")
	@ExcelProperty(value = {"用户名"},index = 0)
	private String realName;

	@ApiModelProperty(value = "登录状态")
	@ExcelProperty(value = {"登录状态"},index = 1)
	private String loginStatus;

	@ApiModelProperty(value = "微信登录次数")
	@ExcelProperty(value = {"微信登录次数"},index = 2)
	private String wxLoginCount;

	@ApiModelProperty(value = "人脸登录次数")
	@ExcelProperty(value = {"人脸登录次数"},index = 3)
	private String faceLoginCount;

	@ApiModelProperty(value = "账号密码登录次数")
	@ExcelProperty(value = {"账号密码登录次数"},index = 4)
	private String accountLoginCount;

}
