package org.springblade.face.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ExcelIgnoreUnannotated
public class UserLoginRecordExportVO implements Serializable {


	@ApiModelProperty(value = "登录姓名")
	@ExcelProperty(value = {"姓名"},index = 0)
	private String loginUser;

	@ApiModelProperty(value = "账号状态")
	@ExcelProperty(value = {"账号状态"},index = 1)
	private String loginStatus;

	@ApiModelProperty(value = "登录次数")
	@ExcelProperty(value = {"月登录次数"},index = 2)
	private Integer loginNum;

	@ApiModelProperty(value = "登录时间")
	@ExcelProperty(value = {"最后登录时间"},index = 3)
    private Date loginTime;

	@ApiModelProperty(value = "登录ip")
	@ExcelProperty(value = {"最后登录ip"},index = 4)
	private String loginIp;

	@ApiModelProperty(value = "账号")
	private String account;

	@ApiModelProperty(value = "userId")
	private Long userId;







}
