package org.springblade.face.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class UserLoginRecordVO implements Serializable {

	@ApiModelProperty(value = "userId")
	private Long userId;

	@ApiModelProperty(value = "登录ip")
    private String loginIp;

	@ApiModelProperty(value = "账号")
	private String account;

	@ApiModelProperty(value = "登录时间")
    private Date loginTime;

	@ApiModelProperty(value = "登录账号")
    private String loginUser;

	@ApiModelProperty(value = "登录次数")
    private Integer loginNum;

	@ApiModelProperty(value = "账号状态")
	private String loginStatus;

}
