/**
 * 
 */
package org.springblade.modules.system.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * @author wookvn
 *
 */
@Data
public class CubeGlobalParamType extends TenantEntity implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主键
	 */
	@ApiModelProperty(value = "主键")
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	
	/** 
	 * 父级ID 
	 */
	@ApiModelProperty(value = "父级ID")
	private Integer parentId;

	/**
	 * 分类名称
	 */
	@ApiModelProperty(value = "分类名称")
	@TableField(condition = SqlCondition.LIKE)
	private String typeName;
	
	/**
	 * 排序号
	 */
	@ApiModelProperty(value = "排序号")
	private Integer sortNum;

	/**
	 * 创建人ID
	 */
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

}
