/**
 * 
 */
package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wookvn
 *
 *	工作空间模块
 */
@Data
@ApiModel("数据集工作空间")
@TableName("cube_workspace")
public class CubeWorkspace extends TenantEntity implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/**
	 * 分类ID
	 */
	@ApiModelProperty("父级ID")
	private Integer parentId;
	
	@ApiModelProperty("名称")
	private String wsName;
	
	@ApiModelProperty("排序号,数字越大靠前显示")
	private Integer sortNum;
	
	private Date createTime;
	
	private String createBy;
	
	private Long createUserId;

	private Integer systemStatus;
}
