/**
 * 
 */
package org.springblade.modules.system.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataPermissionUser implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/**
	 * 权限组ID
	 */
	private Integer dataPermId;
	
	/**
	 * 用户ID
	 */
	private Long userId;
	
	/**
	 * 是否直接使用用户，非角色和部门关联
	 */
	private Integer userStatus;
}
