/**
 * 
 */
package org.springblade.modules.system.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@TableName("sys_package_menu")
public class SysPackageMenu implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * @param packageId
	 * @param menuId
	 */
	public SysPackageMenu(Integer packageId, Long menuId) {
		super();
		this.packageId = packageId;
		this.menuId = menuId;
	}

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty(value = "套餐ID")
	private Integer packageId;
	
	@ApiModelProperty(value = "菜单ID")
	private Long menuId;
}
