/**
 * 
 */
package org.springblade.modules.system.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@TableName("sys_tenant_package")
public class SysTenantPackage implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * @param tenantId
	 * @param packageId
	 */
	public SysTenantPackage(String tenantId, Integer packageId) {
		super();
		this.tenantId = tenantId;
		this.packageId = packageId;
	}

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty(value = "租户ID")
	private String tenantId;
	
	@ApiModelProperty(value = "套餐ID")
	private Integer packageId;
}
