/**
 * 
 */
package org.springblade.modules.system.mapper;

import org.apache.ibatis.annotations.Select;
import org.springblade.modules.system.entity.DataPermissionUser;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface DataPermissionUserMapper extends BaseMapper<DataPermissionUser> {

	@InterceptorIgnore(tenantLine = "true")
	@Select("select count(1) from data_permission_user aa inner join data_permission bb on aa.data_perm_id = bb.id where bb.super_status = 1 and aa.user_id = #{param1}")
	public int checkSuperPermission(Long userId);
}
