package org.springblade.modules.system.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.system.entity.UserClickMenuRecord;
import org.springblade.modules.system.vo.UserClickMenuRecordVo;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface UserClickMenuRecordMapper extends BaseMapper<UserClickMenuRecord> {

    /**
     * 查询点击量前N的菜单
     * @param userId
     * @return
     */
	@InterceptorIgnore(tenantLine = "true")
    List<UserClickMenuRecordVo> selectTopMenu(@Param("userId") Long userId,@Param("strips") Integer strips);
}
