package org.springblade.modules.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.springblade.modules.system.entity.VisualSubscribeNotifyConf;

import java.util.List;

public interface VisualSubscribeNotifyConfMapper extends BaseMapper<VisualSubscribeNotifyConf> {

    @Select("select * from visual_subscribe_notify_conf where notify_type = #{classify}")
    @InterceptorIgnore(tenantLine = "true")
    List<VisualSubscribeNotifyConf> getList(int classify);
}
