package org.springblade.modules.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.auth.enums.ThirdPartyLoginType;
import org.springblade.core.mp.support.Query;
import org.springblade.core.secure.BladeUser;
import org.springblade.modules.system.entity.ThirdLoginConfig;

public interface IThirdLoginConfigService extends IService<ThirdLoginConfig> {
    Page<ThirdLoginConfig> getPage(ThirdLoginConfig loginConfig, Query query);

    boolean doSaveOrupdate(ThirdLoginConfig loginConfig, BladeUser user);
}
