/**
 * 
 */
package org.springblade.system.client.dto;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class DataPermDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 用户ID列表
	 */
	private List<DataPermItem> userList;
	
	/**
	 * 黑名单用户ID列表
	 */
	private List<DataPermItem> blackUserList;
	
	/**
	 * 角色ID列表
	 */
	private List<DataPermItem> roleList;
	
	/**
	 * 部门ID列表
	 */
	private List<DataPermItem> dpList;
	
}
