/**
 * 
 */
package org.springblade.system.client.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wookvn
 *
 */
@Data
public class UserModel implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String tenantId;
	private Long id;
	/**
	 * 用户编号
	 */
	private String code;
	/**
	 * 账号
	 */
	private String account;
	/**
	 * 昵称
	 */
	private String name;
	/**
	 * 真名
	 */
	private String realName;
	/**
	 * 头像
	 */
	private String avatar;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 手机
	 */
	private String phone;
	/**
	 * 生日
	 */
	private Date birthday;
	/**
	 * 性别
	 */
	private Integer sex;
	/**
	 * 角色id
	 */
	private String roleId;
	/**
	 * 部门id
	 */
	private String deptId;
	/**
	 * 岗位id
	 */
	private String postId;

	/**
	 * 人脸userID
	 */
	private String faceUserId;

	/**
	 * 人脸GroupId
	 */
	private String faceGroupId;

	/**
	 * 人脸facetoken
	 */
	private String faceToken;

	/**
	 * 人脸faceImg
	 */
	private String faceImg;

	/**
	 * 登录状态
	 */
	private Integer loginStatus;

	/**
	 * openId
	 */
	private String openId;

	/**
	 * 微信昵称
	 */
	private String nickName;

	/**
	 * 是否允许账号登录  0 是 1否
	 */
	private Integer isLogin;

	/**
	 * 是否允许微信登录  0 是 1否
	 */
	private Integer isWxLogin;

	/**
	 * 审核等级
	 */
	private Integer auditLevel;

	private String extJson;

	/**
	 * 第三方用户id
	 */
	private String thirdUserId;
}
