# 公司docker私服配置【harbor】  

1、私服地址：[点击这里](http://docker.platomix.net:10000)  
2、账号密码：platomix/Harbor@123  
3、本地往私服push镜像，需要先在本地docker服务修改配置(要求必须是https协议，否则push报错。添加该配置可解决)：

```  
"insecure-registries": [
   "docker.platomix.net:10000"
]
```
4、往私服push镜像有2种方式：

1、通过命令的方式，先登录，再push

```
# docker login docker.platomix.net:10000 -u platomix -p Harbor@123
# docker push xxxx:v1.0
```

2、在项目中执行mvn clean package，可以直接build push镜像到私服，但是需要配置私服账号和密码。2种配置方式
(1) 【推荐】在maven的settings.xml中添加<server>节点：

```
<server>
  <id>docker.platomix.net:10000</id>
  <username>platomix</username>
  <password>Harbor@123</password>
</server>
```

(2)【不推荐】在项目的pom.xml文件docker-maven-plugin插件，configuration中添加如下配置：

```
<authConfig>
	<username>platomix</username>
	<password>Harbor@123</password>
</authConfig> 
```