### 1.项目模块git分支规范：

 * master  -> saas主分支  
   稳定版本，上线到demo或者给客户部署使用
 * single  -> 单机版主分支  
   稳定版本，单机版本都以该分支为准
 * sass-inner-dev -> saas内部版本  
   开发版本，主要用于内部开发，临时性提出的紧急需求开发，部署到windata测试环境，开发测试完成，需要合并到master再上线。
 * saas-feature-dev -> saas需求版本  
   开发版本，主要针对产品提出的稍微长周期的需求开发，部署到windata测试环境，开发测试完成，需要合并到master再上线。
 * cloud   -> 微服务版本  
   该版本比较特殊，不是主要维护分支，只给需要的客户提供。
   - 注意：依赖的模块等跟其他版本都不一样，合并代码需要特别注意，尤其pom.xml文件；
   - 建议：客户需要使用时，从master分支checkout出来，改造成cloud版本，改造内容不多，参考微服务改造手册。

### 2.SQL增量脚本规范：

 * 脚本命名规范以及增量sql写法注意
   - sql脚本名称：数据库名_版本号_yyyyMMdd.sql
   - sql内容写法：需要添加【数据库名.表名】，不能仅写个表名。
 * 脚本文件位置  
   每个GIT分支根目录下sqls目录里面