/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.common.cache;

/**
 * 缓存名
 *
 * @author Chill
 */
public interface CacheNames {

	String CAPTCHA_KEY = "blade:auth::blade:captcha:";

	String SMS_CODE_KEY = "blade:auth::blade:SMS:";

	String PHONE_KEY = "blade:auth:blade:phone:";

	String THIRD_OPENID = "blade:auth:blade:openId:";

	String MICRO_OPENID_UNIONID = "blade:auth:micro:openId:unionid:";

}
