/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.common.constant;

/**
 * 缓存名
 *
 * @author Chill
 */
public interface CacheConstant {

	String BIZ_CACHE = "blade:biz";

	String MENU_CACHE = "blade:menu";

	String USER_CACHE = "blade:user";

	String DICT_CACHE = "blade:dict";

	String FLOW_CACHE = "blade:flow";

	String SYS_CACHE = "blade:sys";

	String RESOURCE_CACHE = "blade:resource";

	String PARAM_CACHE = "blade:param";

	String DEFAULT_CACHE = "default:cache";

	String RETRY_LIMIT_CACHE = "retry:limit:cache";

	String HALF_HOUR = "half:hour";

	String HOUR = "hour";

	String ONE_DAY = "one:day";

}
