package org.springblade.common.interceptor;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Data
@ConfigurationProperties(prefix = "ip-white-config")
public class WhiteConfigEntity {

    private boolean enable;

    private List<String> ipWhiteList;

    private List<String> urlList;

}
