package org.springblade.face.listener;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Data
@TableName("IMP_UNICOM_ARPU_DOU")
@ExcelIgnoreUnannotated
public class ImpUnicomArpuDou implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
	@TableField("ID")
    private Long id;

    /**
     * 账期
     */
	@ExcelProperty(index = 0)
	@TableField("ACCOUNT_TIME")
    private String accountTime;

    /**
     * 省份
     */
	@ExcelProperty(index = 1)
	@TableField("PROVINCES")
    private String provinces;

    /**
     * 4G业务出账用户数
     */
	@ExcelProperty(index = 2)
	@TableField("ACCOUNT_USER_NUM")
    private String accountUserNum;

    /**
     * 4G业务ARPU
     */
	@ExcelProperty(index = 3)
	@TableField("ARPU")
    private String arpu;

    /**
     * 4G业务DOU
     */
	@ExcelProperty(index = 4)
	@TableField("DOU")
    private String dou;


}
