/**
 * 
 */
package org.springblade.modules.system.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * @author wookvn
 *
 */
@Data
public class DataPermissionType extends TenantEntity implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("权限组分类名称")
	private String typeName;
	
	@ApiModelProperty("排序值(值越大越靠前)")
	private Integer sortNum;
	
	@ApiModelProperty("创建时间")
	private Date createTime;
	
	@ApiModelProperty("创建人姓名")
	private String createBy;
	
	@ApiModelProperty("创建人ID")
	private Long createUserId;
	
}
