///*
// *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
// *
// *  Redistribution and use in source and binary forms, with or without
// *  modification, are permitted provided that the following conditions are met:
// *
// *  Redistributions of source code must retain the above copyright notice,
// *  this list of conditions and the following disclaimer.
// *  Redistributions in binary form must reproduce the above copyright
// *  notice, this list of conditions and the following disclaimer in the
// *  documentation and/or other materials provided with the distribution.
// *  Neither the name of the dreamlu.net developer nor the names of its
// *  contributors may be used to endorse or promote products derived from
// *  this software without specific prior written permission.
// *  Author: Chill 庄骞 (smallchill@163.com)
// */
//package org.springblade.modules.system.entity.log;
//
//
//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.format.annotation.DateTimeFormat;
//
//import com.baomidou.mybatisplus.annotation.IdType;
//import com.baomidou.mybatisplus.annotation.TableId;
//import com.fasterxml.jackson.annotation.JsonFormat;
//import com.fasterxml.jackson.databind.annotation.JsonSerialize;
//import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
//
//import lombok.Data;
//
///**
// * logApi、logError、logUsual父类
// *
// * @author Chill
// */
//@Data
//public class LogAbstract implements Serializable {
//
//	protected static final long serialVersionUID = 1L;
//
//	/**
//	 * 主键id
//	 */
//	@JsonSerialize(using = ToStringSerializer.class)
//	@TableId(value = "id", type = IdType.ASSIGN_ID)
//	protected Long id;
//	/**
//	 * 租户ID
//	 */
//	private String tenantId;
//	/**
//	 * 服务ID
//	 */
//	protected String serviceId;
//	/**
//	 * 服务器 ip
//	 */
//	protected String serverIp;
//	/**
//	 * 服务器名
//	 */
//	protected String serverHost;
//	/**
//	 * 环境
//	 */
//	protected String env;
//	/**
//	 * 操作IP地址
//	 */
//	protected String remoteIp;
//	/**
//	 * 用户代理
//	 */
//	protected String userAgent;
//	/**
//	 * 请求URI
//	 */
//	protected String requestUri;
//	/**
//	 * 操作方式
//	 */
//	protected String method;
//	/**
//	 * 方法类
//	 */
//	protected String methodClass;
//	/**
//	 * 方法名
//	 */
//	protected String methodName;
//	/**
//	 * 操作提交的数据
//	 */
//	protected String params;
//	/**
//	 * 创建人
//	 */
//	protected String createBy;
//	/**
//	 * 创建时间
//	 */
//	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//	protected Date createTime;
//
//}
