/**
 * 
 */
package org.springblade.modules.system.service.normal;

import org.springblade.modules.system.entity.DataPermissionUser;
import org.springblade.modules.system.mapper.DataPermissionUserMapper;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author wookvn
 *
 */
@Service
public class DataPermissionUserService extends ServiceImpl<DataPermissionUserMapper, DataPermissionUser> {

	/**
	 * 检查是否超级权限组
	 * @param userId
	 * @return
	 */
	public int checkSuperPermission(Long userId) {
		return baseMapper.checkSuperPermission(userId);
	}
}
