package org.springblade.modules.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "SystemBaseInfoVO对象",description = "系统的基础信息返回实体")
public class SystemBaseInfoVO implements Serializable {

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("系统Logo")
    private String systemLogo;

    @ApiModelProperty("系统首页")
    private String homeUrl;

    @ApiModelProperty("是否使用顶部(0:否，1:是)")
    private String isTop;

    @ApiModelProperty("系统版本号")
    private String systemVersion;

    @ApiModelProperty("登录方式（1：账号密码/2：短信登录/3：人脸识别/4：微信/5：钉钉/6：企微/7：飞书）")
    private String loginType;

    @ApiModelProperty("小程序登录方式（1：账号密码/2：短信登录/3：人脸识别/4：微信/5：钉钉/6：企微/7：飞书）")
    private String loginTypeApp;

    @ApiModelProperty("H5登录方式（1：账号密码/2：短信登录/3：人脸识别/4：微信/5：钉钉/6：企微/7：飞书）")
    private String loginTypeH5;

    @ApiModelProperty("接口地址")
    private String apiUrl;

    @ApiModelProperty("pdf地址")
    private String pdfUrl;

    @ApiModelProperty("图片上传地址")
    private String imgUploadUrl;

    @ApiModelProperty("图片预览地址")
    private String imgViewUrl;
}
