package org.springblade.system.client.model;

import lombok.Data;

import java.util.Date;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/11/25 11:54
 */
@Data
public class TenantModel {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;
    /**
     * 租户名称
     */
    private String tenantName;
    /**
     * 域名地址
     */
    private String domain;
    /**
     * 系统背景
     */
    private String backgroundUrl;
    /**
     * 联系人
     */
    private String linkman;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 账号额度
     */
    private Integer accountNumber;
    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 套餐ID
     */
    private String packageId;

    private String clientManager;

    private Long adminId;
}
