DROP TABLE IF EXISTS `digital_operation`.`platomix_template`;
CREATE TABLE `digital_operation`.`platomix_template` (
                                     `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `cate_id` bigint DEFAULT NULL COMMENT '分类ID',
                                     `name` varchar(255) NOT NULL COMMENT '模板名称',
                                     `path` varchar(255) DEFAULT NULL COMMENT '模板路径',
                                     `remark` varchar(255) DEFAULT NULL COMMENT '备注',
                                     `create_user` varchar(255) DEFAULT NULL COMMENT '创建人',
                                     `create_id` varchar(50) DEFAULT NULL COMMENT '创建人ID',
                                     `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                     `update_user` varchar(255) DEFAULT NULL COMMENT '修改人',
                                     `update_id` varchar(50) DEFAULT NULL COMMENT '修改人ID',
                                     `update_time` datetime DEFAULT NULL COMMENT '修改时间',
                                     `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COMMENT='模板数据表';

DROP TABLE IF EXISTS `digital_operation`.`platomix_template_cate`;
CREATE TABLE `digital_operation`.`platomix_template_cate` (
                                          `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                          `name` varchar(255) DEFAULT NULL COMMENT '分类名称',
                                          `remark` varchar(255) DEFAULT NULL COMMENT '备注',
                                          `create_user` varchar(255) DEFAULT NULL COMMENT '创建人',
                                          `create_id` varchar(50) DEFAULT NULL COMMENT '创建人ID',
                                          `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                          `update_user` varchar(255) DEFAULT NULL COMMENT '修改人',
                                          `update_id` varchar(50) DEFAULT NULL COMMENT '修改人ID',
                                          `update_time` datetime DEFAULT NULL COMMENT '修改时间',
                                          `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
                                          PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COMMENT='模板类型数据表';
